## com.google.appengine.api.conversion
Class ConversionResult

    java.lang.Object
      com.google.appengine.api.conversion.ConversionResult

    public final class ConversionResult

extends java.lang.Object

A single immutable conversion result returned by the conversion service.

Method Summary
`boolean` `equals(java.lang.Object o)`
`ConversionErrorCode` `getErrorCode()` Returns the conversion error code, or null if the conversion succeeded.
`Document` `getOutputDoc()` Returns the conversion output document, or null if the conversion failed.
`int` `hashCode()`
`boolean` `success()` Returns whether the conversion succeeded.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### success

    public boolean success()

  Returns whether the conversion succeeded.

### getErrorCode

    public ConversionErrorCode getErrorCode()

  Returns the conversion error code, or null if the conversion succeeded.

### getOutputDoc

    public Document getOutputDoc()

  Returns the conversion output document, or null if the conversion failed.

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`